%define upstream_name    Data-RandomPerson
%define upstream_version 0.4

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Select an element from a list in proportion
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Date::Calc)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
Overview
    Returns an object that can be used to create random people and return
    the data in a hash. The data is a hash reference with the following
    keys:

    * gender

      This is either 'm' or 'f'

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.400.0-2.mga3
+ Revision: 365417
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 kharec <kharec> 0.400.0-1.mga3
+ Revision: 326366
- imported package perl-Data-RandomPerson

